Bulletin d'alerte Debian

DSA-1248-1 libsoup -- Vérifications d'entrée manquantes

Date du rapport :
12 janvier 2007
Paquets concernés :
libsoup
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 405197.
Dans le dictionnaire CVE du Mitre : CVE-2006-5876.
Plus de précisions :

Roland Lezuo et Josselin Mouette ont découvert que la bibliothèque HTTP libsoup ne réalisait pas de vérification suffisante lors de l'analyse des en-têtes HTTP, cela peut conduire à un déni de service.

Pour la distribution stable (Sarge), ce problème a été corrigé dans la version 2.2.3-2sarge1.

Pour la prochaine distribution stable (Etch), ce problème a été corrigé dans la version 2.2.98-2.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 2.2.98-2.

Nous vous recommandons de mettre à jour votre paquet libsoup.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup_2.2.3-2sarge1.dsc
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup_2.2.3-2sarge1.diff.gz
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup_2.2.3.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-doc_2.2.3-2sarge1_all.deb
Alpha:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_alpha.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_amd64.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_arm.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_hppa.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_i386.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_ia64.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_m68k.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_mips.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_mipsel.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_powerpc.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_s390.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-7_2.2.3-2sarge1_sparc.deb
http://security.debian.org/pool/updates/main/libs/libsoup/libsoup2.2-dev_2.2.3-2sarge1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.